import { Collapsible as CollapsiblePrimitive } from '@base-ui/react/collapsible';
declare function Collapsible({ ...props }: CollapsiblePrimitive.Root.Props): import("react/jsx-runtime").JSX.Element;
declare namespace Collapsible {
    var displayName: string;
}
declare function CollapsibleTrigger({ ...props }: CollapsiblePrimitive.Trigger.Props): import("react/jsx-runtime").JSX.Element;
declare namespace CollapsibleTrigger {
    var displayName: string;
}
declare function CollapsibleContent({ ...props }: CollapsiblePrimitive.Panel.Props): import("react/jsx-runtime").JSX.Element;
declare namespace CollapsibleContent {
    var displayName: string;
}
export { Collapsible, CollapsibleContent, CollapsibleTrigger };
